package net.simulation;

public class Mreza {
	
	private static RacunarNaMrezi[] dostupniUredjaji = new RacunarNaMrezi[20];
	private static int br=0;
	
	public Mreza(){
		br++;
	}
	
	public static void registrujUredjaj(RacunarNaMrezi r){
		for(int i=0; i<dostupniUredjaji.length; i++){
			if(dostupniUredjaji[i]==null) dostupniUredjaji[i]=r;
		}
	}
	
	private static RacunarNaMrezi pronadji(String s){
		for(int i=0; i<dostupniUredjaji.length; i++){
			if(dostupniUredjaji[i].getAdresa().equals(s)) return dostupniUredjaji[i]; 
		}
		return null;
	}
	
	public static void proslediZahtev(String a, Klijent k, String p){
		Server s;
		s=(Server) pronadji(a);
		if(s != null){
			s.prihvatiZahtev(k, p);
		}
			
	}
	
	public static void proslediOdgovor(String a, String o){
		Klijent k;
		k=(Klijent) pronadji(a);
		if(k != null){
			k.prihvatiOdgovor(o);
		}
	
	}
	
	
}
