package net.simulation;

public class Mreza {
	
	private static RacunarNaMrezi[] dostupniUredjaji=new RacunarNaMrezi[10];
	private static int brUredjaja=0;
	
	public static void registrujUredjaj(RacunarNaMrezi r){
		
		dostupniUredjaji[brUredjaja]=r;
		brUredjaja++;
	}
	
	private static RacunarNaMrezi  pronadji(String s){
		for(int i=0;i<brUredjaja;i++)
			if(dostupniUredjaji[i].getAdresa().equals(s)) return dostupniUredjaji[i];
		return null;
	}
	
	public static void proslediZahtev(String adresa,Klijent k,String poruka){
		RacunarNaMrezi r = pronadji(adresa);
		if(r!=null) ((Server)r).prihvatiZahtev(k, poruka);
		else System.out.println("Ne postoji racunar sa takvom adrsom u nizu");
	}
	
	public static void proslediOdgovor(String adresa,String poruka){
		RacunarNaMrezi r = pronadji(adresa);
		if(r!=null) ((WebKlijent)r).prihvatiOdgovor(poruka);
		else System.out.println("Ne postoji racunar sa takvom adrsom u nizu");
	}
	
}
