package net.simulation;

public class WebKlijent extends RacunarNaMrezi implements Klijent {

	
	protected String imeBrauzera;
	
	public WebKlijent(String adresa,String imeBrauzera){
		super(adresa);
		this.imeBrauzera=imeBrauzera;
	}
	
	
	
	@Override
	public void prijaviSe(String s) {
		
			Mreza.proslediZahtev(s, this, "prijava");

	}

	@Override
	public void odjaviSe(String s) {
		Mreza.proslediZahtev(s, this, "odjava");
	}

	@Override
	public void posaljiZahtev(String s) {
		
		Mreza.proslediZahtev(s, this, "ping");

	}

	@Override
	public void prihvatiOdgovor(String s) {
		
		System.out.println(this.toString()+": "+s);

	}
	
	@Override
	public String toString(){
		return super.getAdresa()+"  ["+imeBrauzera+"]";
	}

}
