package net.simulation;

public class Server extends RacunarNaMrezi {
	protected Klijent[] prijavljeniKlijenti = new Klijent[20];
	protected int brPrijavljenihKlijenata=0;
	
	public Server(String adresa) {
		super(adresa);
	}
	
	public void prihvatiZahtev(Klijent klijent,String poruka){
		if(poruka == "prijava") {
			for(int i=0;i<prijavljeniKlijenti.length;i++){
				if(prijavljeniKlijenti[i] == null){
					prijavljeniKlijenti[i] = klijent;
					brPrijavljenihKlijenata++;
					break;
				}
			}
		}
		
		if(poruka == "odjava") {
			for(int i=0;i<prijavljeniKlijenti.length;i++){
				if(prijavljeniKlijenti[i].equals(klijent)){
					prijavljeniKlijenti[i] = null;
					brPrijavljenihKlijenata--;
					break;
				}
			}
		}
		
		if(poruka == "ping") {
			for(int i=0;i<prijavljeniKlijenti.length;i++){
				if(prijavljeniKlijenti[i].equals(klijent)){
					((Server) prijavljeniKlijenti[i]).obradi(klijent);
					break;
				}
			}
		}
	}
	
	protected String obradi(Klijent klijent){
		return "Server " + klijent.getAdresa() + "salje poruku.";
	}
	
}
