package net.simulation;

public class Mreza {
	private static RacunarNaMrezi[] dostupniUredjaji= new RacunarNaMrezi[10];
	private static int brUredjaja;
	public static void registrujUredjaj(RacunarNaMrezi racunar){
		brUredjaja++;
		if(racunar instanceof VebKlijent) dostupniUredjaji[brUredjaja-1]=new VebKlijent(racunar.getAdresa(), ((VebKlijent) racunar).imeBrauzera);
		else{
			if(racunar instanceof Server) dostupniUredjaji[brUredjaja-1]=new Server(racunar.getAdresa());
			else dostupniUredjaji[brUredjaja-1]=new MultikastServer(racunar.getAdresa());
		}
		
		
	}
	private static RacunarNaMrezi pronadji(String adresa){
		for(int i=0; i<dostupniUredjaji.length; i++){
			if((dostupniUredjaji[i].getAdresa().equals(adresa)) && dostupniUredjaji[i]!=null) return dostupniUredjaji[i];
		}
		return null;
		
	}
	public static void proslediZahtev(String adresa, Klijent klijent, String poruka ){
		for(int i=0; i<dostupniUredjaji.length; i++){
			if((dostupniUredjaji[i]!=null) && (dostupniUredjaji[i].equals(adresa)) && (dostupniUredjaji[i] instanceof Server)){
				((Server)(dostupniUredjaji[i])).prihvatiZahtev(klijent, poruka);
			}
			
			
		}
		
	}
	public static void proslediOdgovor(String adresa,String poruka ){
		for(int i=0; i<dostupniUredjaji.length; i++){
			if((dostupniUredjaji[i]!=null) && (dostupniUredjaji[i].equals(adresa)) && (dostupniUredjaji[i] instanceof VebKlijent)){
				((VebKlijent)(dostupniUredjaji[i])).prihvatiOdgovor(poruka);
			}
		}
	}
	

}
