package net.simulation;

public class Server extends RacunarNaMrezi {
	
	private Klijent[] prijavljeniKlijenti;
	private int brPrijavljenihKlijenata;
	
	public Server(String adresa){
		super(adresa);
		brPrijavljenihKlijenata=0;
	}
	
	public void prihvatiZahtev (Klijent objekat, String poruka){
		
		if (poruka.equals("prijava")){
			brPrijavljenihKlijenata++;
			for(int i = 0; i<prijavljeniKlijenti.length ;i++){
				if(prijavljeniKlijenti[i]==null) prijavljeniKlijenti[i]=objekat;
			}
		}
		if (poruka.equals("odjava")){
			for(int i = 0; i<prijavljeniKlijenti.length ;i++){
				brPrijavljenihKlijenata--;
				if(prijavljeniKlijenti[i]==objekat) prijavljeniKlijenti[i]=null;
			}
		}
		if (poruka.equals("ping")) obradi(objekat);
	}
	
	protected String obradi(Klijent objekat){
		return "Server" + objekat.getAdresa() + "salje poruku.";
	}
}
