package net.simulation;

public class VebKlijent extends RacunarNaMrezi implements Klijent{

	protected String imeBrauzera;
	
	public VebKlijent(String a,String ib){
		super(a);
		imeBrauzera=ib;
	}
	
	@Override
	public void prijaviSe(String s) {
		Mreza.proslediZahtev(s, this, "prijava");
		//System.out.println("klijent "+this.getAdresa()+" se prijavio na "+s);
	}

	@Override
	public void odjaviSe(String s) {
		Mreza.proslediZahtev(s, this, "odjava");
		//System.out.println("klijent "+this.getAdresa()+" se odjavio na "+s);
	}

	@Override
	public void posaljiZahtev(String s) {
		Mreza.proslediZahtev(s, this, "ping");
		//System.out.println("klijent "+this.getAdresa()+" poslao zahtev na "+s);
	}

	@Override
	public void prihvatiOdgovor(String s) {
		System.out.println(this.toString()+":"+s);
	}
	
	@Override
	public String toString(){
		return this.getAdresa()+"["+imeBrauzera+"]";
	}

}
