import net.simulation.Mreza;
import net.simulation.MultikastServer;
import net.simulation.RacunarNaMrezi;
import net.simulation.Server;
import net.simulation.WebKlijent;


public class Test {

	
	public static void main(String[] args) {
		
		Server s1 = new Server("imi");
		Server s2 = new Server("pmf");
		Server s3 = new MultikastServer("facebook");
		WebKlijent w1 = new WebKlijent("ivica", "Opera");
		WebKlijent w2 = new WebKlijent("marica", "Mozilla");
		
		
		
		RacunarNaMrezi[] r = new RacunarNaMrezi[5];
		r[0]=s1;
		r[1]=s2;
		r[2]=s3;
		r[3]=w1;
		r[4]=w2;
		
		for(int i=0;i<5;i++) Mreza.registrujUredjaj(r[i]);
		
		((WebKlijent)r[3]).prijaviSe("imi");
		((WebKlijent)r[3]).prijaviSe("facebook");
		((WebKlijent)r[4]).prijaviSe("facebook");
		
		((WebKlijent)r[3]).posaljiZahtev("imi");
		((WebKlijent)r[3]).posaljiZahtev("facebook");
		((WebKlijent)r[3]).posaljiZahtev("pmf");
		((WebKlijent)r[3]).posaljiZahtev("facebook");
		
		((WebKlijent)r[3]).odjaviSe("imi");
		((WebKlijent)r[3]).odjaviSe("facebook");
		((WebKlijent)r[4]).odjaviSe("facebook");
	
	}

}
