package net.simulation;

public class Mreza {
	private static RacunarNaMrezi[] dostupniUredjaji = new RacunarNaMrezi[20];
	private static int brUredjaja;
	
	public static void registrujUredjaj(RacunarNaMrezi racunar){
		for(int i=0;i<dostupniUredjaji.length;i++){
			if(dostupniUredjaji[i].equals(racunar)){
				dostupniUredjaji[i] = racunar;
				brUredjaja++;
			}
		}
	}
	
	private static RacunarNaMrezi pronadji(String adresa){
		for(int i=0;i<dostupniUredjaji.length;i++){
			if(dostupniUredjaji[i] != null && dostupniUredjaji[i].getAdresa() == adresa)
				return dostupniUredjaji[i];
		}
		return null;
	}
	
	public static void proslediZahtev(String adresa,Klijent klijent,String poruka){
		for(int i=0;i<dostupniUredjaji.length;i++){
			if(dostupniUredjaji[i] != null && dostupniUredjaji[i].getAdresa() == adresa){
				((Server)dostupniUredjaji[i]).prihvatiZahtev(klijent,poruka);
			}
		}
	}
	
	public static void proslediOdgovor(String adresa,String poruka){
		for(int i=0;i<dostupniUredjaji.length;i++){
			if(dostupniUredjaji[i] != null && dostupniUredjaji[i].getAdresa() == adresa){
				((VebKlijent)dostupniUredjaji[i]).prihvatiOdgovor(poruka);
			}
		}
	}
}
