package net.simulation;

public class VebKlijent extends RacunarNaMrezi implements Klijent {
	String imeBrauzera;
	public VebKlijent(String adresa,String ime){
		super(adresa);
		imeBrauzera=ime;
	}

	@Override
	public void prijaviSe(String adresaServ) {
		System.out.println("Prijavljujem se: " + this.getAdresa());
		Mreza.proslediZahtev(adresaServ, this, "prijava");

	}

	@Override
	public void odjaviSe(String adresaServ) {
		System.out.println("Odjavljujem se " + this.getAdresa());
		Mreza.proslediZahtev(adresaServ, this,"odjava");

	}

	@Override
	public void posaljiZahtev(String adresaServ) {
		System.out.println("Saljem zahtev: " + this.getAdresa());
		Mreza.proslediZahtev(adresaServ, this,"ping");
		
		
	}

	@Override
	public void prihvatiOdgovor(String poruka) {
		System.out.println(this.toString() +":"+ poruka);

	}
	@Override
	public String toString(){
		return this.getAdresa() +" " +"[ " +imeBrauzera+"] ";

	}
	

}
