package simulation;

public class Server extends RacunarNaMrezi{
	private Klijent[] prijavljeniKlijenti = new Klijent[20];
	private int brPrijavljenihKlijenata=0;
	
	public Server(String a){
		super(a);
	}

	public void prihvatiZahtev(Klijent k, String p){
		if(p=="prijava"){
			prijavljeniKlijenti[brPrijavljenihKlijenata]=k;
			brPrijavljenihKlijenata++;
		}
		else if (p=="odjava")
			for(int i=0;i<brPrijavljenihKlijenata;i++)
				if(prijavljeniKlijenti[i].equals(k))
				{
					for(;i<brPrijavljenihKlijenata;i++)
						prijavljeniKlijenti[i]=prijavljeniKlijenti[i+1];
					brPrijavljenihKlijenata--;
				}
				else if(p=="ping") 
						for(i=0;i<brPrijavljenihKlijenata;i++)
							if(prijavljeniKlijenti[i].equals(k))
								this.obradi(k);
		
	}
	
	protected void obradi(Klijent k){
		Mreza.proslediOdgovor(k.getAdresa(), "Server "+k.getAdresa()+" salje poruku.");
	}

	public int getBrPrijavljenihKlijenata() {
		return brPrijavljenihKlijenata;
	}
	
	public Klijent[] getPrijavljeniKlijenti() {
		return prijavljeniKlijenti;
	}
}
