package Engine.Figure;

public class KnightFightEngine {
	private  int moves=0;//kad se povuce
	private String next="bela";//koja boja je na potezu
	private Figure board[][]=new Figure[8][8];
	
	public int getMoves() {
		moves++;
		return moves;
	}
	
	public String getNext() {
		return next;
	}
	
	public void initialize(){//na pocetku svake partije
		//sve null;
		for(int i=0;i<8;i++)
			for(int j=0;j<8;j++) board[i][j]=null;
		
		//knight beo
		for(int k=0;k<3;k++){
			int j=(int) (0+Math.random()*7);
			int i=0;
			if(board[i][j]==null) board[i][j]=new Knight("bela");
			else k--;
		}
		//king beo
		for(int k=0;k<1;k++){
			int j=(int) (0+Math.random()*7);
			int i=0;
			if(board[i][j]==null) board[i][j]=new King("bela");
			else k--;
		}
		//ubacio bele
		
		//knight beo
		for(int k=0;k<3;k++){
			int j=(int) (0+Math.random()*7);
			int i=7;
			if(board[i][j]==null) board[i][j]=new Knight("crna");
			else k--;
		}
		//king beo
		for(int k=0;k<1;k++){
			int j=(int) (0+Math.random()*7);
			int i=7;
			if(board[i][j]==null) board[i][j]=new King("crna");
			else k--;
		}
		//ubacio crne
	}
	
	
	
	public void printBoard(){
		System.out.println("\tA\tB\tC\tD\tE\tF\tG\tH");
		String p="";
		for(int i=0;i<8;i++){
			p+=i;
			for(int j=0;j<8;j++)
					if(board[i][j]==null) p+="\t"+"+";
					else p+="\t"+board[i][j];
			p+="\n";
		}
		System.out.println(p);
	}
	
	
}
